# Uses of Class
org.apache.sling.feature.Artifact

Packages that use Artifact
Package
Description
org.apache.sling.feature

## Uses of Artifact in org.apache.sling.feature

Methods in org.apache.sling.feature that return Artifact
Modifier and Type
Method
Description
`Artifact`
Artifact.`copy(ArtifactId id)`
Create a copy of the artifact with a different id
`Artifact`
Artifacts.`getExact(ArtifactId id)`
Get the artifact for the given id
`Artifact`
ExecutionEnvironmentExtension.`getFramework()`
Get the specified framework
`Artifact`
Artifacts.`getSame(ArtifactId id)`
Get the artifact for the given id, neglecting the version
Methods in org.apache.sling.feature that return types with arguments of type Artifact
Modifier and Type
Method
Description
`Map<Integer,List<Artifact>>`
Bundles.`getBundlesByStartOrder()`
Get the map of all bundles sorted by start order.
Methods in org.apache.sling.feature with parameters of type Artifact
Modifier and Type
Method
Description
`boolean`
Artifacts.`add(Artifact artifact)`
Add an artifact.
`int`
Artifact.`compareTo(Artifact o)`